---
title: '`glab stack sync`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Sync and submit progress on a stacked diff. (EXPERIMENTAL)

## Synopsis

Sync and submit progress on a stacked diff. This command runs these steps:

1. Optional. If working in a fork, select whether to push to the fork,
   or the upstream repository.
1. Optional. If --update-base is set, rebases the entire stack onto the
   latest version of the base branch.
1. Pushes any amended changes to their merge requests.
1. Rebases any changes that happened previously in the stack.
1. Creates merge requests for branches that don't have one yet,
   unless --skip-mr-creation is set.
1. Removes any branches that were already merged, or with a closed merge request.

This feature is an experiment and is not ready for production use.
It might be unstable or removed at any time.
For more information, see
<https://docs.gitlab.com/policy/development_stages_support/>.

```plaintext
glab stack sync [flags]
```

## Examples

```console
glab stack sync
glab stack sync --no-verify
glab stack sync --update-base
glab stack sync --skip-mr-creation
glab stack sync --assignee user1,user2
glab stack sync --label bug,priority::high
glab stack sync --reviewer user1 --reviewer user2
```

## Options

```plaintext
  -a, --assignee usernames   Assign merge request to people by their usernames. Multiple usernames can be comma-separated or specified by repeating the flag.
  -l, --label name           Add label by name. Multiple labels can be comma-separated or specified by repeating the flag.
      --no-verify            Bypass the pre-push hook. (See githooks(5) for more information.)
      --reviewer usernames   Request review from users by their usernames. Multiple usernames can be comma-separated or specified by repeating the flag.
      --skip-mr-creation     Skip creating merge requests for branches that don't have one yet.
      --update-base          Rebase the stack onto the latest version of the base branch.
```

## Options inherited from parent commands

```plaintext
  -h, --help          Show help for this command.
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```
